Subject: RE: draft-ietf-dnsext-insensitive-01.txt

From: Marc Blanchet <[email-masked]>
Date: Thu, 27 Mar 2003 12:30:39 -0500

- I understood the intent of the document and the DNS processing of labels.
- However, I do think that some text about idn would be on subject so that
the reader will have a full picture of the issue. At least some pointers to
the RFCs would be useful. 

Here is some suggested draft text.

new section:

5. Internationalized domain names (idn)

idns are encoded by the applications, as specified in RFC3490, RFC3454,
RFC3491, RFC3492. For non-ascii domain names that are conforming to this
idn standard, an application-level transformation of the idn to a DNS
conformant restricted ascii label, is handled before sent in the DNS
request. The case insensitivity, which varies depending on the script used,
is handled as part of the transformation, as described in RFC3454 and
RFC3491.

6. Security considerations

(then add the references at the end of the document).

Marc.

-- jeudi, mars 27, 2003 10:21:09 -0500 Eastlake III Donald-LDE008
<[email-masked]> wrote/a ecrit:

> The current draft is -02, not -01.
> 
> It's probably reasonable to add something to say that case
> insensitivity isn't handled in idn. The "case insensitivity"
> has only to do with byte values and the DNS has no idea whether
> someone thinks some label is supposed to be ASCII or
> international or alien or just a seaquence of binary octets.
> 
> Donald
> 
> -----Original Message-----
> From: Marc Blanchet [mailto:[email-masked]]
> Sent: Tuesday, March 18, 2003 1:12 PM
> To: Eastlake III Donald-LDE008
> Cc: [email-masked]
> Subject: draft-ietf-dnsext-insensitive-01.txt
> 
> I would like to suggest to add a section to this draft about how case
> insensitivity is handled in idn, in order to get some references to
> additional related work (idn) that have important impact on case
> insensitivity for the user point of view.
> 
> Regards, Marc.
> 

------------------------------------------
Marc Blanchet
Viagénie
tel: +1-418-656-9254x225

------------------------------------------
http://www.freenet6.net: IPv6 connectivity
------------------------------------------
http://www.normos.org: IETF(RFC,draft),
  IANA,W3C,... standards.
------------------------------------------

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: Eastlake III Donald-LDE008 <[email-masked]>
Date: Thu, 27 Mar 2003 10:21:09 -0500

[ post by non-subscriber.  with the massive amount of spam, it is easy to miss
  and therefore delete posts by non-subscribers.  if you wish to regularly
  post from an address that is not subscribed to this mailing list, send a
  message to <listname>[email-masked] and ask to have the alternate
  address added to the list of addresses from which submissions are
  automatically accepted. ]

Donald

-----Original Message-----
From: Marc Blanchet [mailto:[email-masked]]
Sent: Tuesday, March 18, 2003 1:12 PM
To: Eastlake III Donald-LDE008
Cc: [email-masked]
Subject: draft-ietf-dnsext-insensitive-01.txt

Regards, Marc.